## org.apache.fop.fo
Class CondLengthProperty

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.fo.CondLengthProperty

public class CondLengthProperty
extends Property

Inner Class Summary
`static class` `CondLengthProperty.Maker`

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Constructor Summary
`CondLengthProperty(CondLength condLength)`

Method Summary
`CondLength` `getCondLength()`
`Length` `getLength()` Accessor functions for all possible Property datatypes
`java.lang.Object` `getObject()`

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getColorType, getEnum, getKeep, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CondLengthProperty

    public CondLengthProperty(CondLength condLength)

Method Detail

### getCondLength

    public CondLength getCondLength()

  Overrides:
    getCondLength in class Property

### getLength

    public Length getLength()

  Description copied from class: Property
  Accessor functions for all possible Property datatypes
  Overrides:
    getLength in class Property

### getObject

    public java.lang.Object getObject()

  Overrides:
    getObject in class Property

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.